/*
 * ArrayWrapper.java	A simple example of using inner class.
 */
public class ArrayWrapper {

	private int	a[];

  public ArrayWrapper( int n )
  {
    a = new int[n];
    for( int i=0 ; i < a.length ; ++i ) a[i] = (int) (100*Math.random());
  }

  // returns an interator of this object
  public Iterator iterator() { return new Iterator(0); }


  // an inner class to iterate through ArrayWrapper's array elements
  public class Iterator {

	int index;

    Iterator( int n ) { index = n; }

    boolean hasMoreElements() { return index < a.length; }

    int nextElement() { return a[index++]; }

  } // end of class Inner
    

  public static void main( String args[] )
  {
    ArrayWrapper a = new ArrayWrapper(10);

    ArrayWrapper.Iterator i = a.iterator();

    while( i.hasMoreElements() ) System.out.println( i.nextElement() );
  }

} // end of class ArrayWrapper

